Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I was wondering, for example, for the following http://packages.ubuntu.com/hardy/python/libapache2-mod-wsgi, the package is kind of outdated (version 1.3). I would like the package (version 2.5) from the 9.10 source. Is there anyway of doing that? Since 8.04 is LTS, i assume they would support it until 2011, does that mean they will update the packages?

Thanks a lot!

share|improve this question

2 Answers 2

up vote 4 down vote accepted

Generally, when you're on a stable/LTS release of Ubuntu the packages will only be patched for security vulnerabilities and bugs. Very rarely will you see an up-to-date version of any package finding it's way into LTS.

But if you need newer packages on a dedicated server running LTS, you have two options (one safe and one somewhat risky) -

  1. the safer option is to use backports; you can read up on backports at help.ubuntu.com[0] -- Backports are packages that are updated and tested to work in LTS without any serious problems.
  2. your other option is to use apt-pinning to bring in newer packages from Ubuntu-current (9.10 as of the time of writing). You can read up on apt-pinning (also) on help.ubuntu.com[1]

Keep in mind that apt-pinning generally requires you to install dependencies from Ubuntu-current, and occasionally the dependencies of those dependencies, etc. Sometimes it's not worth the headache, especially when you're a year and a half behind on packages.

[0] https://help.ubuntu.com/community/UbuntuBackports

[1] https://help.ubuntu.com/community/PinningHowto

share|improve this answer

LTS means that what's already in the release will be supported for a long time, not that new versions will be rolled out. What you want is a backport; someone may have already backported what you want to Hardy, otherwise there are plenty of guides on the Googlewebs to tell you how to do it yourself.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.